aboutsummaryrefslogtreecommitdiffstats
Commit message (Collapse)AuthorAgeFilesLines
* gateone: update to latest gitdankm/emacsDan McGregor2015-10-233-29/+5
| | | | | | | This version works with pyton-tornado 4.2 as currently distributed with OE. Signed-off-by: Dan McGregor <dan.mcgregor@usask.ca>
* python-html5lib: import recipe from meta-openstackDan McGregor2015-10-231-0/+27
| | | | | | This recipe is needed for GateOne. Signed-off-by: Dan McGregor <dan.mcgregor@usask.ca>
* packagegroup-x11-illume: use existing themeDan McGregor2015-10-231-1/+1
| | | | | | | The old theme is no longer packaged. Use the new enlightenment default theme. Signed-off-by: Dan McGregor <dan.mcgregor@usask.ca>
* entrance: fix configurationDan McGregor2015-10-233-1/+16
| | | | Signed-off-by: Dan McGregor <dan.mcgregor@usask.ca>
* libmikmod: make pulseaudio dependency optional.Dan McGregor2015-10-231-1/+4
| | | | | | | Only add pulseaudio dependency if it's in distro features, otherwise disable it completely. Signed-off-by: Dan McGregor <dan.mcgregor@usask.ca>
* xbmc: fix buildDan McGregor2015-10-231-16/+14
| | | | | | | Remove inline asm. It's causing issues on certain platforms (Raspberry Pi) and has been removed upstream. Signed-off-by: Dan McGregor <dan.mcgregor@usask.ca>
* efl: fix systemd check and better PACKAGECONFIGDan McGregor2015-10-233-1/+55
| | | | | | | Make the check for systemd only fire if systemd support is enabled in the distro, and make pulseaudio a PACKAGECONFIG variable. Signed-off-by: Dan McGregor <dan.mcgregor@usask.ca>
* cpufrequtils: partially revert CP changeDan McGregor2015-10-231-1/+1
|
* emacs: Un-blacklist, seems to work fine with new qemuDan McGregor2015-10-233-97/+38
| | | | | | | | | | | I've only tested the build with armv7 and x86, but the build doesn't segfault anymore. The last time this was tested was with qemu 1.5, we're now using 2.1. While here, don't copy stuff from the sysroot into the qemu tree just use the sysroot itself. Signed-off-by: Dan McGregor <dan.mcgregor@usask.ca>
* poppler: Support building against QT4-embeddedGary Thomas2015-10-232-1/+33
| | | | | | | | | | These changes allow the poppler package to build using qt4e. To enable them, add this line to local.conf PACKAGECONFIG_append_pn-poppler = " qt4e" Signed-off-by: Gary Thomas <gary@mlbassoc.com> Upstream-status: Innapropriate [OE configuration] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* lmsensors: remove unused service fileLi Xin2015-10-232-18/+2
| | | | | | | | | | | * Upstream ships a systemd service file sensord.service now, so we don't need this anymore. * Install lm_sensors.service and fancontrol.service to support systemd systems. lm_sensors.service: Initialize hardware monitoring sensors. fancontrol.service: Start fan control, if configured. Signed-off-by: Li Xin <lixin.fnst@cn.fujitsu.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libsrtp: add new recipeCarlos Rafael Giani2015-10-231-0/+18
| | | | | Signed-off-by: Carlos Rafael Giani <dv@pseudoterminal.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libdvdnav: add new recipeCarlos Rafael Giani2015-10-231-0/+14
| | | | | Signed-off-by: Carlos Rafael Giani <dv@pseudoterminal.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* vo-amrwbenc: add new recipeCarlos Rafael Giani2015-10-231-0/+13
| | | | | Signed-off-by: Carlos Rafael Giani <dv@pseudoterminal.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* vo-aacenc: add new recipeCarlos Rafael Giani2015-10-231-0/+13
| | | | | Signed-off-by: Carlos Rafael Giani <dv@pseudoterminal.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* opencore-amr: add new recipeCarlos Rafael Giani2015-10-231-0/+13
| | | | | Signed-off-by: Carlos Rafael Giani <dv@pseudoterminal.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gst-plugins-ugly: Fix opencore AMR plugin supportCarlos Rafael Giani2015-10-232-1/+64
| | | | | | | | | opencore 0.1.3 and later use a different header installation path. Fix the gst-plugins-ugly AMR plugin to use the correct paths, and add packageconfigs for amrwb and amrnb. Signed-off-by: Carlos Rafael Giani <dv@pseudoterminal.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* lmsensors-config: add configuration file sensordLi Xin2015-10-232-2/+19
| | | | | | | It is needed to start sensord.service. Signed-off-by: Li Xin <lixin.fnst@cn.fujitsu.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* iperf3 :upgrade to 3.1Chunrong Guo2015-10-233-120/+10
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* dracut: RDEPEND on util-linuxJoe Slater2015-10-231-1/+1
| | | | | | | | We might need findmnt and setsid, which are in the util-linux package. Signed-off-by: Joe Slater <jslater@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* xerces-c: enable a native variant with BBCLASSEXTENDJoshua Lock2015-10-231-0/+2
| | | | | Signed-off-by: Joshua Lock <joshua.lock@collabora.co.uk> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* webmin: remove perl-module-sdbm from RDEPENDSQi.Chen@windriver.com2015-10-231-1/+1
| | | | | | | | | | Remove 'perl-module-sdbm' from RDEPENDS as perl don't build out this module. This also fixes the following warning. WARNING: QA Issue: webmin rdepends on perl-module-sdbm, but it isn't a build dependency? [build-deps] Signed-off-by: Chen Qi <Qi.Chen@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* phpmyadmin: 4.4.9 -> 4.5.0.2Kai Kang2015-10-231-4/+5
| | | | | | | | | | | | | | | | Upgrade phpmyadmin from 4.4.9 to 4.5.0.2 and SRC_URI is updated. Accoring to release note, there is NO API changes for 4.5.0.x serial. So upgrade to 4.5.0.2 rather than 4.4.15 which will only support for security fixes only. And license file has some text update. See: https://github.com/phpmyadmin/phpmyadmin/commit/9d080a482fae73bde5049620088d4687da245163 Change files owner to fix [host-user-contaminated] warnings. Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* openldap: 2.4.41 -> 2.4.42Kai Kang2015-10-232-2/+32
| | | | | | | | | | | Upgrade phpmyadmin from 2.4.41 to 2.4.42. And backport patch from http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=commitdiff;h=6fe51a9 to fix CVE-2015-6908. Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* nginx: update to 1.9.5Jens Rehsack2015-10-232-11/+12
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* nginx: fix broken proxy_pass featureJens Rehsack2015-10-231-0/+3
| | | | | | | | | | | | | [NGINX ticket #748 - https://trac.nginx.org/nginx/ticket/748] Accoriding to #748 or https://github.com/archlinuxarm/PKGBUILDs/issues/1161, respectively, proxy_pass is broken on some architectures without position independent code. The solution is adding -fPIE -pie as build flags. Signed-off-by: Jens Rehsack <sno@netbsd.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* network-manager-applet: drop dependency on blacklisted gnome-keyringMartin Jansa2015-10-231-2/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* lirc: use weak assignment in PACKAGECONFIG like other recipesMartin Jansa2015-10-231-2/+4
| | | | | | | * using append makes it harder to disable PACKAGECONFIGs set from DISTRO_FEATURES Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* webmin: fix QA host-user-contaminatedAnders Darander2015-10-231-1/+4
| | | | | | | | | | | | | | Due to the way most files were installed, using cp ..., during packaging we got spammed with messages like: WARNING: QA Issue: webmin: /webmin-module-fail2ban/usr/lib/webmin/webmin/fail2ban/lang/no is owned by gid 100, which is the same as the user running bitbake. This may be due to host contamination [host-user-contaminated] WARNING: QA Issue: webmin: /webmin-module-system-status/usr/lib/webmin/webmin/system-status/lang/no is owned by gid 100, which is the same as the user running bitbake. This may be due to host contamination [host-user-contaminated] Do the install in a similar way as is done in bin_package.bbclass. By doing that, we're not getting any QA-errors from host-user-contaminated. Signed-off-by: Anders Darander <anders@chargestorm.se> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* debootstrap: cleanup the recipeMartin Jansa2015-10-231-8/+18
| | | | | | | | | * FILESEXTRAPATHS_prepend isn't needed * ${PN}-${PV} -> ${BP} * drop autotools, it doesn't use autotools, there is just a Makefile * use SUMMARY instead of DESCRIPTION Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* vpnc, arptables, lirc, debootstrap, log4cpp, python-ldap: drop unused ↵Martin Jansa2015-10-236-6/+0
| | | | | | variable PRIORITY Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* rygel: Add recipeManuel Bachmann2015-10-231-0/+58
| | | | | | | | | | | | | | | | | | | | | | | | | Rygel is a UPnP Audio-Video media server, that allows to share media files to other devices. It can also become a MediaRenderer controlled by UPnP or DLNA Controllers. Rygel makes use of the GStreamer library to recognize and index media files. UPnp clients will then be able to browse through them with the aid of metadata (artist, date...). We do not propose to build without GStreamer support (because then if cannot parse any actual media file, and this is pointless), and for the same reason always include the GStreamer engine in the main package ; but allow separate packages for plugins. (disable tracker plugin for now, because it pulls 3 layers and needs us to have a PREFERRED udev provider, which is a bit extreme for a first version) Signed-off-by: Manuel Bachmann <manuel.bachmann@iot.bzh> Author: Manuel Bachmann <manuel.bachmann@iot.bzh> Author: Ross Burton <ross.burton@intel.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* media-service-upnp: Update to 0.5.0Manuel Bachmann2015-10-231-1/+1
| | | | | | | Update to latest version (requires gupnp-dlna 0.9.4). Signed-off-by: Manuel Bachmann <manuel.bachmann@iot.bzh> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gupnp-dlna: Update to 0.9.4, support gstreamerManuel Bachmann2015-10-231-5/+4
| | | | | | | | | | | Minor update. As we now have GStreamer 1.0+, add a PACKAGECONFIG option to build the additional "gupnp-dlna-gst" library if it is present. This is most notably needed by Rygel. Signed-off-by: Manuel Bachmann <manuel.bachmann@iot.bzh> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* mkvtoolnix: fix Boost build, update to 8.4.0, allow Qt5 GUIManuel Bachmann2015-10-231-7/+17
| | | | | | | | | | | | | mkvtoolnix does not compile with newest Boost 1.58, mostly due to the following bugs : https://github.com/mbunkus/mkvtoolnix/issues/1172 https://github.com/mbunkus/mkvtoolnix/issues/1176 Update to the latest version, allow to use Qt5 if present, and adapt configure steps accordingly. Signed-off-by: Manuel Bachmann <manuel.bachmann@iot.bzh> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* vorbis-tools: fix CVE-2015-6749Kai Kang2015-10-232-1/+52
| | | | | | | | | Backport patch to fix CVE-2015-6749 from: https://trac.xiph.org/ticket/2212 Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* vim: do not autoenable the mouseJackie Huang2015-10-231-0/+6
| | | | | | | | | The mouse being autoenabled is just annoying in xfce4-terminal (mouse drag make vim go into visual mode and there is no right click menu), so remove the setting for xfce. Signed-off-by: Jackie Huang <jackie.huang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* efibootmgr: 0.6.0 -> 0.12Kai Kang2015-10-234-80/+27
| | | | | | | | | | | | Upgrade efibootmgr from 0.6.0 to 0.12. * update HOMEPAGE * drop obsolete patches that source files have been removed * add dependency efivar * update CFLAGS to fix print wrong version issue Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* efivar: 0.7 -> 0.21Kai Kang2015-10-234-18/+131
| | | | | | | | | | | | | | | Upgrade efivar from 0.7 to 0.21. * update HOMEPAGE and git repo. * update license file checksum. It made FSF addresses in COPYING be URLs. Ref: https://github.com/rhinstaller/efivar/commit/ca88012 * add -native recipe to provide command makeguids and add patch for target package to use this native makeguids command * add patch to build efivar-native with lower version gcc which doesn't support options '-Wmaybe-uninitialized' and '-std=gnu11' Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* vim: Upgrade to v7.4.769Paul Barker2015-10-232-2/+2
| | | | | | | | | | v7.4.769 is the latest marked stable in Gentoo so we know this has had some testing. License change is simply rewording "further more" -> "furthermore". Signed-off-by: Paul Barker <paul@paulbarker.me.uk> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* postfix.inc: do not hardcode userid and groupidHongxu Jia2015-10-211-2/+2
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | It hardcoded to assign vmail's userid and groupid with 5000, which caused the following useradd/groupadd is increased from 5000 at do_root time. Such as 'tracing' group id is 5001 (tracing group is added in lttng-tools). It is better to allocate it dynamically. BTW, you may google to find the hardcoded 5000 in following site: https://help.ubuntu.com/community/PostfixVirtualMailBoxClamSmtpHowto In its main.cf, it also hardcoded virtual_uid_maps and virtual_gid_maps. ... virtual_uid_maps = static:5000 virtual_gid_maps = static:5000 .. But in meta-oe's main.cf_2.0, it assigned virtual_uid_maps and virtual_gid_maps with a search. ... virtual_uid_maps = static:`grep vmail /etc/passwd | cut -d ":" -f 3` virtual_gid_maps = static:`grep vmail /etc/passwd | cut -d ":" -f 4` ... So please feel free to forget 5000. Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Joe MacDonald <joe_macdonald@mentor.com>
* drbd: fix permission bits of drbd.serviceQi.Chen@windriver.com2015-10-212-0/+26
| | | | | | | | The permission bits should be 0644 instead of 0755. Signed-off-by: Chen Qi <Qi.Chen@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Joe MacDonald <joe_macdonald@mentor.com>
* wireshark: update package to 1.12.8Armin Kuster2015-10-211-2/+2
| | | | | | | | | | changes include CVE-2015-7830 see https://www.wireshark.org/docs/relnotes/wireshark-1.12.8.html Signed-off-by: Armin Kuster <akuster808@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Joe MacDonald <joe_macdonald@mentor.com>
* lldpad: depends on readlineJoe Slater2015-10-211-1/+1
| | | | | | | | | Add a dependency on readline because the header files are required by configure. Signed-off-by: Joe Slater <jslater@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Joe MacDonald <joe_macdonald@mentor.com>
* ntp: fix rpath QA issueQi.Chen@windriver.com2015-10-211-0/+1
| | | | | | | | | | | | | When ntp could be correctly built with openssh and libcrypto, we would meet the following QA issue. WARNING: QA Issue: package ntp contains bad RPATH ... [rpath] Fix this problem by adding '--disable-rpath' to EXTRA_OECONF. Signed-off-by: Chen Qi <Qi.Chen@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Joe MacDonald <joe_macdonald@mentor.com>
* nftables: update nftables userland tools from 0.4 to 0.5Jens Rehsack2015-10-211-2/+2
| | | | | | | | | Update nftables tools from 0.4 to 0.5, for ChangeLog see http://git.netfilter.org/nftables/log/ Signed-off-by: Jens Rehsack <sno@netbsd.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Joe MacDonald <joe_macdonald@mentor.com>
* libnftnl: update from 1.0.3 to 1.0.5Jens Rehsack2015-10-211-2/+2
| | | | | | | | | Update libnftnl from 1.0.3 to 1.0.5 (for Changelog see http://git.netfilter.org/libnftnl/log/) Signed-off-by: Jens Rehsack <sno@netbsd.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Joe MacDonald <joe_macdonald@mentor.com>
* drbd-utils: fix multilib problemQi.Chen@windriver.com2015-10-211-4/+4
| | | | | | | | | If multilib is enabled, errors about 'installed-not-shipped' would appear. This patch fixes this problem. Signed-off-by: Chen Qi <Qi.Chen@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Joe MacDonald <joe_macdonald@mentor.com>
* netmap-modules: fix compilation failureQi.Chen@windriver.com2015-10-211-0/+2
| | | | | | | | | | | | | | | | | | | | | If CONFIG_IXGBE is enabled in kernel. This package fails to build with error messages like below. | #error "unsupported ixgbe driver version" | ^ ....... error: request for member 'count' in something not a structure or union | na.num_rx_desc = NM_IXGBE_RX_RING(adapter, 0)->count; | ^ | cc1: some warnings being treated as errors Fix this problem by disabling igxbe driver in netmap-modules. Signed-off-by: Chen Qi <Qi.Chen@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Joe MacDonald <joe_macdonald@mentor.com>
* libnetfilter: Avoid using VLAsKhem Raj2015-10-212-1/+92
| | | | | | | | | | | | VLAs in composite data types like structures and unions are not a standard feature of C language, gcc has specific implementations for but other compilers dont have that done specifically clang, and the community refuses to implement it since its non standard. Change-Id: I6ae24adb455bf262fe9406a1c8e3b3a4a0cf77d4 Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Joe MacDonald <joe_macdonald@mentor.com>